org.apache.ignite.internal.processors.portable

## Interface GridPortableStream

All Known Subinterfaces:
  GridPortableInputStream, GridPortableOutputStream

    public interface GridPortableStream

Portable stream.

### Method Summary

Methods
`byte[]` `array()`
`byte[]` `arrayCopy()`
`boolean` `hasArray()`
`long` `offheapPointer()`
`int` `position()`
`void` `position(int pos)`

### Method Detail

#### position

    int position()

Returns:
  Position.

#### position

    void position(int pos)

Parameters:
  `pos` - Position.

#### array

    byte[] array()

Returns:
  Underlying array.

#### arrayCopy

    byte[] arrayCopy()

Returns:
  Copy of data in the stream.

#### offheapPointer

    long offheapPointer()

Returns:
  Offheap pointer if stream is offheap based, otherwise `0`.

#### hasArray

    boolean hasArray()

Returns:
  `True` is stream is array based.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015